Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PointerToVoid Class Reference

This is the non-template part of the base class for PointerTo and ConstPointerTo. More...

`#include "pointerToVoid.h"`

Inheritance diagram for PointerToVoid:

## Public Member Functions
size_t | get_hash () const
constexpr bool | is_null () const
| Returns true if the PointerTo is a NULL pointer, false otherwise.
bool | operator!= (const PointerToVoid &other) const
bool | operator< (const PointerToVoid &other) const
bool | operator< (const void *other) const
bool | operator== (const PointerToVoid &other) const
void | swap (PointerToVoid &other) noexcept
| Swaps the contents of this PointerTo with the other, without touching the reference counts.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Detailed Description

This is the non-template part of the base class for PointerTo and ConstPointerTo.

It is necessary so we can keep a pointer to a non-template class within the ReferenceCount object, to implement weak reference pointers–we need to have something to clean up when the ReferenceCount object destructs.

This is the base class for PointerToBase<T>.

Definition at line 33 of file pointerToVoid.h.

## Member Function Documentation

## ◆ get_hash()

size_t PointerToVoid::get_hash | ( |  | ) | const
| inline

Definition at line 34 of file pointerToVoid.I.

## ◆ is_null()

bool PointerToVoid::is_null | ( |  | ) | const
| constexpr

Returns true if the PointerTo is a NULL pointer, false otherwise.

(Direct comparison to a NULL pointer also works.)

Definition at line 26 of file pointerToVoid.I.

Referenced by GeomTransformer::apply_texture_colors(), GeomTransformer::reverse_normals(), GeomTransformer::set_color(), GeomTransformer::set_format(), GeomTransformer::transform_colors(), GeomTransformer::transform_texcoords(), and GeomTransformer::transform_vertices().

## ◆ operator!=()

bool PointerToVoid::operator!= | ( | const PointerToVoid & | other | ) | const
| inline

Definition at line 66 of file pointerToVoid.I.

## ◆ operator<() [1/2]

bool PointerToVoid::operator< | ( | const PointerToVoid & | other | ) | const
| inline

Definition at line 50 of file pointerToVoid.I.

## ◆ operator<() [2/2]

bool PointerToVoid::operator< | ( | const void * | other | ) | const
| inline

Definition at line 42 of file pointerToVoid.I.

## ◆ operator==()

bool PointerToVoid::operator== | ( | const PointerToVoid & | other | ) | const
| inline

Definition at line 58 of file pointerToVoid.I.

## ◆ swap()

void PointerToVoid::swap | ( | PointerToVoid & | other | ) |
| inline noexcept

Swaps the contents of this PointerTo with the other, without touching the reference counts.

For internal use only. Use the global swap() function instead.

Definition at line 77 of file pointerToVoid.I.

The documentation for this class was generated from the following files:

- panda/src/express/pointerToVoid.h
- panda/src/express/pointerToVoid.I